image: tetraweb/php


variables:
  HOST: "ftpupload.net"
  USERNAME: "epiz_25732344"
  PASSWORD: "iLuqafGkXso"

cache:
  untracked: true
  key: "$CI_PROJECT_ID"
  paths:
    - node_modules/
    - _site/vendor/
    - .bundled/
    - .yarn


before_script:
  - CI=false
  #  - ls -l
  - yarn config set cache-folder .yarn
  - yarn install
  - yarn build
  - rm -rf htdocs/

stage_deploy:
  artifacts:
    when: always
    paths:
      - build/
  #  only:
  #    - dev
  script:
    - apt-get update -qq && apt-get install -y -qq lftp
    - ls -l
    - mv build htdocs
    - ls -l
    - lftp -e "set ftp:ssl-allow no;set ftp:use-mdtm off;set ftp:use-mlsd on; open $HOST; user $USERNAME $PASSWORD; mirror -X .* -X .*/ --reverse --ignore-time --verbose --delete htdocs/ ./; bye"